
export default prefix => {
  return {
    
    // 获取当前小区的所有公告
    listAnnouncement: {
      url: `${prefix}/tpAnnouncement`,
      method: 'post',
      action: 'admin.announcement.post'
    },

    // 添加公告
    addAnnouncement: {
      url: `${prefix}/addAnnouncement`,
      method: 'post',
      action: 'admin.announcement.add'
    },

    // 根据id查询公告
    announcementById: {
      url: `${prefix}/announcementById`,
      method: 'post',
      action: 'admin.announcement.detail'
    },

    // 修改公告
    updateannouncement: {
      url: `${prefix}/updateAnnouncement`,
      method: 'post',
      action: 'admin.announcement.update'
    },

    // 批量删除(data)里面是单子字段的多个id
    deleteAnnouncement: {
      url: `${prefix}/deleteAnnouncement`,
      method: 'post',
      action: 'admin.announcement.delete'
    },

  }
}
